package com.alibaba.druid.sql.dialect.hive.visitor;

import com.alibaba.druid.sql.dialect.hive.ast.HiveGrantPrinciple;
import com.alibaba.druid.sql.dialect.hive.ast.HiveInsert;
import com.alibaba.druid.sql.dialect.hive.ast.HiveMultiInsertStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveAlterDatabaseStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveCreateFunctionStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveInsertStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveLoadDataStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveMsckRepairStatement;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveSelectQueryBlock;
import com.alibaba.druid.sql.dialect.hive.ast.stmt.HiveShowStatement;
import com.alibaba.druid.sql.visitor.SQLASTVisitorAdapter;

public class HiveASTVisitorAdapter extends SQLASTVisitorAdapter implements HiveASTVisitor {
   public boolean visit(HiveInsert x) {
      return true;
   }

   public void endVisit(HiveInsert x) {
   }

   public boolean visit(HiveMultiInsertStatement x) {
      return true;
   }

   public void endVisit(HiveMultiInsertStatement x) {
   }

   public boolean visit(HiveInsertStatement x) {
      return true;
   }

   public void endVisit(HiveInsertStatement x) {
   }

   public boolean visit(HiveCreateFunctionStatement x) {
      return true;
   }

   public void endVisit(HiveCreateFunctionStatement x) {
   }

   public boolean visit(HiveLoadDataStatement x) {
      return true;
   }

   public void endVisit(HiveLoadDataStatement x) {
   }

   public boolean visit(HiveMsckRepairStatement x) {
      return true;
   }

   public void endVisit(HiveMsckRepairStatement x) {
   }

   public boolean visit(HiveGrantPrinciple x) {
      return true;
   }

   public void endVisit(HiveGrantPrinciple x) {
   }

   public boolean visit(HiveShowStatement x) {
      return true;
   }

   public void endVisit(HiveShowStatement x) {
   }

   public boolean visit(HiveAlterDatabaseStatement x) {
      return true;
   }

   public void endVisit(HiveAlterDatabaseStatement x) {
   }

   public boolean visit(HiveSelectQueryBlock x) {
      return false;
   }

   public void endVisit(HiveSelectQueryBlock x) {
   }
}
